summaryrefslogtreecommitdiffstats
path: root/graphics/baires
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/baires')
-rw-r--r--graphics/baires/README4
-rw-r--r--graphics/baires/baires.SlackBuild98
-rw-r--r--graphics/baires/baires.info10
-rw-r--r--graphics/baires/doinst.sh9
-rw-r--r--graphics/baires/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/graphics/baires/README b/graphics/baires/README
new file mode 100644
index 0000000000..832c447203
--- /dev/null
+++ b/graphics/baires/README
@@ -0,0 +1,4 @@
+Baires - Batch image resizer
+
+Baires is a small batch image resizer Qt GUI.
+
diff --git a/graphics/baires/baires.SlackBuild b/graphics/baires/baires.SlackBuild
new file mode 100644
index 0000000000..c5cedaddad
--- /dev/null
+++ b/graphics/baires/baires.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for Baires
+# Copyright 2012, Bojan Popovic, Belgrade, Serbia, <bocke@slackware-srbija.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=baires
+VERSION=${VERSION:-1.2r1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="CHANGELOG LICENSE"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tar.?z*
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ $PRGNAM.pro
+
+make
+install -d -m 755 $PKG/usr/bin
+install -m 755 $TMP/$PRGNAM/$PRGNAM $PKG/usr/bin
+install -d -m 755 $PKG/usr/share/pixmaps
+install -m 644 $TMP/$PRGNAM/icons/baires-48.png $PKG/usr/share/pixmaps/baires.png
+install -d -m 755 $PKG/usr/share/applications
+install -m 644 $PRGNAM.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/baires/baires.info b/graphics/baires/baires.info
new file mode 100644
index 0000000000..9993892631
--- /dev/null
+++ b/graphics/baires/baires.info
@@ -0,0 +1,10 @@
+PRGNAM="baires"
+VERSION="1.2r1"
+HOMEPAGE="http://www.beli.ws/apps/baires/"
+DOWNLOAD="http://www.beli.ws/apps/baires/baires.tar.gz"
+MD5SUM="2ef963760336f595c071efb61813bfaf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Bojan Popovic"
+EMAIL="bocke@slackware-srbija.org"
diff --git a/graphics/baires/doinst.sh b/graphics/baires/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/graphics/baires/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/baires/slack-desc b/graphics/baires/slack-desc
new file mode 100644
index 0000000000..35f191b646
--- /dev/null
+++ b/graphics/baires/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+baires: Baires (Batch image resizer)
+baires:
+baires: Baires is a small batch image resizer Qt GUI.
+baires:
+baires: Homepage: http://www.beli.ws/apps/baires/
+baires:
+baires:
+baires:
+baires:
+baires:
+baires: